Show / Hide Table of Contents

# Struct ConfigBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Common.Configuration

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ConfigBase

### Fields

| Improve this Doc View Source

#### ConfigCount

##### Declaration

    public uint ConfigCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ConfigEntry

##### Declaration

    public ConfigEntry*ConfigEntry

##### Field Value

Type | Description
--- | ---
ConfigEntry* |

| Improve this Doc View Source

#### Listener

##### Declaration

    public ChangeEventInterface*Listener

##### Field Value

Type | Description
--- | ---
ChangeEventInterface* |

| Improve this Doc View Source

#### UnkString

##### Declaration

    public Utf8String UnkString

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |